Skip to main content
GET
/
api
/
v1
/
replies
List all Campaign Replies
curl --request GET \
  --url https://api.deliveryman.ai/api/v1/replies/ \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 123,
    "schedule_id": 123,
    "body_plain_text": "<string>",
    "body_html": "<string>",
    "received_on": "2023-11-07T05:31:56Z",
    "mail_from": "<string>",
    "subject": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Enter your API key in the format: X-Api-Key <your_key>

Query Parameters

campaign_uid
string
required

UID of Campaign to fetch replies from.

Response

Success

id
integer
required
read-only
schedule_id
integer
required
read-only
body_plain_text
string
required
read-only
body_html
string
required
read-only
received_on
string<date-time>
required
read-only
mail_from
string | null
Maximum string length: 500
subject
string | null
reply_classification
enum<string> | null
  • positive - Positive
  • neutral - Neutral
  • negative - Negative
Available options:
positive,
neutral,
negative